#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		hpvers	1.0
%global		__python	/usr/bin/python3
%global		pyt3ver		%(%{__python} --version | cut -d ' ' -f2 |cut -d '.' -f1-2)
%global		pyt3num		%(echo %{pyt3ver} | tr -d '.')
#-----------------------------------------------------------------------------
Name		:	system-config-printer
Version		:	1.5.18
Release		:	16.2.0.rel%{?dist}
Summary		:	A printer administration tool
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://github.com/OpenPrinting/system-config-printer

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf-archive
BuildRequires	:	cups-devel
BuildRequires	:	desktop-file-utils
BuildRequires	:	gettext
BuildRequires	:	glib-devel
BuildRequires	:	intltool
BuildRequires	:	libusb
BuildRequires	:	xmlto

Requires	:	cups
Requires	:	pycups
Requires	:	python3-certifi
Requires	:	python3-chardet
Requires	:	python3-idna
Requires	:	python3-pycairo
Requires	:	python3-requests
Requires	:	python3-urllib3
Requires	:	%{__python}
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
'%{name}' is a graphical user interface that allows the user
to configure a CUPS print server.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/cupshelpers/*.xml
%{_sysconfdir}/dbus-1/system.d/com.redhat.*.conf
%{_sysconfdir}/xdg/autostart/print-applet.desktop
%{_bindir}/install-printerdriver
%{_bindir}/scp-dbus-service
%{_bindir}/%{name}
%{_bindir}/%{name}-applet
%{_libdir}/udev/rules.d/70-printers.rules
%{_libdir}/udev/udev-add-printer
%{_libdir}/udev/udev-configure-printer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/interfaces/org.fedoraproject.Config.Printing.xml
%{_datadir}/dbus-1/services/org.fedoraproject.Config.Printing.service
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/ui/*.ui
%{_datadir}/%{name}/troubleshoot/*.py
%{_datadir}/%{name}/xml/*.py
%{_datadir}/%{name}/xml/preferreddrivers.rng
%{_datadir}/%{name}/icons/i-network-printer.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/metainfo/%{name}.appdata.xml
%{python3_sitelib}/cupshelpers
%{python3_sitelib}/cupshelpers-%{hpvers}-py%{pyt3ver}.egg/EGG-INFO/*
%{python3_sitelib}/cupshelpers-%{hpvers}-py%{pyt3ver}.egg/cupshelpers/*.py
%{python3_sitelib}/cupshelpers-%{hpvers}-py%{pyt3ver}.egg/cupshelpers/__pycache__/*.pyc
%{_mandir}/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  fi
/usr/sbin/ldconfig

%post
%{_bindir}/update-desktop-database > /dev/null 2>&1

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
./bootstrap
PYTHON=%{__python}					\
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--with-udev-rules				\
	--without-systemdsystemunitdir			\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install


%{__ln_s}							\
	cupshelpers-%{hpvers}-py%{pyt3ver}.egg/cupshelpers	\
	%{buildroot}%{python3_sitelib}/
	
#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

#-----------------------------------------------------------------------------
%changelog
